Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » e(fx)clipse » Linux, Eclipse, plugin e(fx)clipse(the menu entry create new JavaFX project is missing)
Linux, Eclipse, plugin e(fx)clipse [message #1803471] Fri, 01 March 2019 09:59 Go to next message
Andrey Volodin is currently offline Andrey VolodinFriend
Messages: 1
Registered: March 2019
Junior Member
Despite the fact that the plugin is installed I am struggling find a way to start a project as JavaFX.
In Intellij IDE I managed to get to plugins and enable JAvaFX somehow after that the ebtry in Intelil appeared, but how to get that solved for eclips IDE?
Thanks
Re: Linux, Eclipse, plugin e(fx)clipse [message #1803641 is a reply to message #1803471] Tue, 05 March 2019 23:29 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6512
Registered: July 2009
Senior Member
You provide not really enough input:
* on what version of Java would you like to work
* in case of Java-8 there should be a wizard to create a JavaFX project
Re: Linux, Eclipse, plugin e(fx)clipse [message #1803771 is a reply to message #1803641] Sat, 09 March 2019 00:24 Go to previous messageGo to next message
Rodrigo Arancibia is currently offline Rodrigo ArancibiaFriend
Messages: 1
Registered: March 2019
Junior Member
Hello all. I am experiencing the exact same problem as Andrey so I decided not to open a new thread but to replay this one instead.

My specifications are:
Eclipse IDE:
Version: 2018-12 (4.10.0)
Build id: 20181214-0600

Java:
JDK version 11.0.2

OS:
Windows 10 x64 bits.

Any help anyone can provide I would be very thankfull.

Thanks for helping me.
Regards.
Re: Linux, Eclipse, plugin e(fx)clipse [message #1816321 is a reply to message #1803771] Sat, 26 October 2019 22:40 Go to previous messageGo to next message
Henri Boucher is currently offline Henri BoucherFriend
Messages: 56
Registered: September 2015
Member
I'm also experiencing this problem with:

Eclipse Version: 2019-09 R (4.13.0)
JavaFX loaded from 3.6.0
e(fx)clipse - Minimal JavaFX OSGi integration bundles 3.5.0.201902220600 org.eclipse.fx.runtime.min.feature.feature.group Eclipse.org

Any fix or workaround appreciated.
Re: Linux, Eclipse, plugin e(fx)clipse [message #1816328 is a reply to message #1816321] Sun, 27 October 2019 08:35 Go to previous message
Thomas Schindl is currently offline Thomas SchindlFriend
Messages: 6512
Registered: July 2009
Senior Member
The minimal feature you installed is only a runtime thing. You need the tooling/ide feature who is only available from our own update site
Previous Topic:Enable fxml parsing in existing JavaFX/Maven project
Next Topic:JavaFX missing in "Select a wizard" dialogue
Goto Forum:
  


Current Time: Mon Nov 18 08:31:58 GMT 2019

Powered by FUDForum. Page generated in 0.02075 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top